package com.chenyang.druid.sql.dialect.mariadb.ast.statement;

import com.chenyang.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class MariadbShowStcStatement extends MariadbStatementImpl implements MariadbShowStatement {
   private boolean full = false;
   private boolean isHis = false;

   public void accept0(MariadbASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }

   public boolean isFull() {
      return this.full;
   }

   public void setFull(boolean full) {
      this.full = full;
   }

   public boolean isHis() {
      return this.isHis;
   }

   public void setHis(boolean his) {
      this.isHis = his;
   }
}
